netconf-subsystem-pro(1)

NAME
netconf-subsystem-pro - thin client to access netconfd-pro server

SYNOPSIS

   netconf-subsystem-pro

DESCRIPTION
netconf-subsystem-pro is a thin-client application that is called by the OpenSSH server to access the netconfd server, when the 'netconf' subsystem is requested.

Refer to the online user manual for full details on using the netconfd-pro server:

https://docs.yumaworks.com/en/latest/netconfd/index.html

USAGE
The location of this program needs to be configured in the /etc/ssh/sshd_config file. The following configuration needs to be present:

  Port 22
  Port 830
  Subsystem netconf /usr/sbin/netconf-subsystem-pro

The actual filespec in the last line will depend on the location that this program is installed. The default value is shown in the example above.

There are no program options or environment variables used by this program.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1)